%global momorel 1

Summary: Utility tools for ivtv driver.
Name: ivtv
Version: 0.7.0
Release: %{momorel}m
License: "distributable"
Group: Applications/Multimedia
URL: http://ivtvdriver.org/
Source0: http://dl.ivtvdriver.org/ivtv/archive/0.7.x/ivtv-%{version}.tar.gz
NoSource: 0
Patch0:  ivtv-utils-0.7.0-compiler.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl-Config-IniFiles, perl-Tk
Requires: perl-Video-Frequencies
Requires: perl-Video-ivtv
Obsoletes: ivtv-utils

%description
This package contains utilities for hardware ivtv based driver.

%prep
%setup -q
# %%patch0 -p1 -b .compiler

%build
pushd utils
make
popd

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1

pushd utils
install -m 755 \
    ivtv-detect \
    ivtv-encoder \
    ivtv-mpegindex \
    ivtv-radio \
    ivtvctl \
    ivtvfbctl \
    ivtvfwextract.pl \
    ivtvplay \
    cx25840ctl/cx25840ctl \
    ivtv-tune/ivtv-tune \
    perl/config-editor.pl \
    perl/ptune-ui.pl \
    perl/ptune.pl \
    perl/record-v4l2.pl \
        %{buildroot}%{_bindir}

install -m 644 ivtv-tune/ivtv-tune.1 %{buildroot}%{_mandir}/man1/

popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc/*
%doc v4l-cx2341x-init.mpg
%{_bindir}/ivtv-encoder
%{_bindir}/ivtvfwextract.pl
%{_bindir}/ivtvctl
%{_bindir}/ivtvplay
%{_bindir}/ivtv-mpegindex
%{_bindir}/ivtv-detect
%{_bindir}/ivtv-radio
%{_bindir}/ivtvfbctl
%{_bindir}/cx25840ctl
%{_bindir}/ivtv-tune
%{_bindir}/config-editor.pl
%{_bindir}/ptune-ui.pl
%{_bindir}/ptune.pl
%{_bindir}/record-v4l2.pl
%{_mandir}/man1/ivtv-tune.1*

%changelog
* Tue Aug  8 2006 Masahiro Takahata <takahata@momonga-linuc.org>
- (0.7.0-1m)
- import package
